/*  DaVince's Tutorial 1 for beginners
This tutorial shows you different stuff:
1 Create Status screens.
2 Change the status by hand of what value the status variable is. This can be done automatically in
   real games: If HP gets below 10%, change stats to weak, for example.
3 Changing the picture by hand of the status.

Instead of using numbers, you can also give stats a name (when status = poisoned, show text and
  image "poisoned!). 
*/

var health=1      //Change this value to 1, 2 or 3 to change the health status.
var HP=100
var MaxHP=100 
var ATP=10
var DFP=10
var healthypic=LoadImage("healthy.png");
var badpic=LoadImage("bad.png");
var sickpic=LoadImage("sick.png");
var healthpicheight=healthypic.height
var healthpicwidth=healthypic.width
//Those are image properties. The first three load an image when a variable is called, the last two
//check the width and the height of the picture.

function game() {
info();    //The info screen at the start of the tut. Delete this line to remove it.
keypress();   //Starts keypress function below.
//In your own game, you can insert here what you have to do to open the status screen.
showstats();   //Start the function showstats below.
}

function keypress() {
GetSystemFont().drawTextBox(10, 10,300, 220 ,0,"Press 1, 2 or 3 to show different feelings of the character.");
FlipScreen();
GetKey();
if(IsKeyPressed(KEY_1)) {
health=1
showstats(); }
if(IsKeyPressed(KEY_2)) {
health=2
showstats(); }
if(IsKeyPressed(KEY_3)) {
health=3
showstats(); }
else
GetSystemFont().drawTextBox(10,200,300,40,0,"Please press 1, 2 or 3!");
keypress();
}

function showstats() {
GetSystemWindowStyle().drawWindow(220, 20, healthpicwidth, healthpicheight) 
GetSystemFont().drawTextBox(10,210,300, 40 ,0,"Press enter to restart or escape to quit.");
//Opens and creates the standard window style and draws it around the picture that will be drawn AFTER this.
if (health==1)
health1();        //If the health variable is 1 start the function health1.
else if (health==2)
health2();        //Exactly the same for health 2.
else if (health==3)
health3();        //And health 3.
else
Abort("The health value must be 1, 2 or 3!");    //If the value is different than 1 2 3, give an error message.
FlipScreen();   //Draw everything we inserted. (extra texts and pictures that are drawn are found in the functions below.)
GetKey();
if(IsKeyPressed(KEY_ENTER)) {
keypress();
}
else if(IsKeyPressed(KEY_ESCAPE)) {
GetSystemFont().drawTextBox(10, 10,300, 220 ,0,"Goodbye!\n\n(c)DaVince 2004");
FlipScreen();
GetKey();
Exit();
}
else {
showstats();
}
}

function health1() {
GetSystemFont().drawTextBox(10, 10,300, 220 ,0,"HP: "+HP+"\nMax HP: "+MaxHP+"\nAttack: "+ATP+"\nDefense: "+DFP);
//Draw some text in the standard font and show some variable's values. [\n] means new line and [\t] a tab.
healthypic.blit(220,20);    //Draw a picture. The picture file that is used can be found in the variable (healthypic).
var status=("You are in good health.");   //Change the status text
GetSystemFont().drawTextBox(150, 130,300, 220 ,0,status);   // and show it below the picture.
}

function health2() {
//The same as health1, but for the bad mood.
var ATP=200    //The character is angry, so Attack power goes way up!
GetSystemFont().drawTextBox(10, 10,300, 220 ,0,"HP: "+HP+"\nMax HP: "+MaxHP+"\nAttack: "+ATP+"\nDefense: "+DFP);
badpic.blit(220,20);
var status=("You are angry.");
GetSystemFont().drawTextBox(200, 130,300, 220 ,0,status);
}

function health3() {
//For being sick.
var HP=30    //You don't feel well, so your HP is low.
GetSystemFont().drawTextBox(10, 10,300, 220 ,0,"HP: "+HP+"\nMax HP: "+MaxHP+"\nAttack: "+ATP+"\nDefense: "+DFP);
sickpic.blit(220,20);
var status=("You are feeling ill. Go\n\tto the doctor.");
GetSystemFont().drawTextBox(160, 130,300, 220 ,0,status);
}

function info() {
GetSystemFont().drawTextBox(10,10,300,200,0,"This tutorial was made by DaVince for beginners. I made them to learn stuff myself, too. For comments, email to VincentBeers@Yahoo.com. Visit http://DaVince.sitesled.com/ for more tutorials, too.\n\tEnjoy.");
FlipScreen();
GetKey();
}


/*That's tutorial one. I've learned a lot after creating this tutorial for myself!
    If you want other tutorials, go to   http://DaVince.sitesled.com/   
    or email me at    VincentBeers@yahoo.com   !
	DaVince
*/